<?php
/**
* Contain constants (database tables names with prefix, references array, etc)
* @package Roommate
* @subpackage
* @copyright Pilot Group <http://www.pilotgroup.net/>
* @author $Author: ekluzheva $
* @version $Revision: 1.1 $ $Date: 2008/09/25 10:38:29 $
**/

define("_OPERATOR", "_operator");
define("_TARIF", "_tarif");

//ARRAY WITH TABLE NAMES FOR WORK WITH REFERENCES
$REFERENCES = array (
		array("key" => "info", "spr_table" => SPR_APARTMENT_TABLE, "spr_user_table" => SPR_RENT_APARTMENT_USER_TABLE, "spr_match_table" => "", "val_table" => VALUES_APARTMENT_TABLE),
		array("key" => "gender", "spr_table" => SPR_GENDER_TABLE, "spr_user_table" => SPR_RENT_GENDER_USER_TABLE, "spr_match_table" => SPR_RENT_GENDER_MATCH_TABLE, "val_table" => VALUES_GENDER_TABLE),
		array("key" => "people", "spr_table" => SPR_PEOPLE_TABLE, "spr_user_table" => SPR_RENT_PEOPLE_USER_TABLE, "spr_match_table" => SPR_RENT_PEOPLE_MATCH_TABLE, "val_table" => VALUES_PEOPLE_TABLE),
		array("key" => "language", "spr_table" => SPR_LANGUAGE_TABLE, "spr_user_table" => SPR_RENT_LANGUAGE_USER_TABLE, "spr_match_table" => SPR_RENT_LANGUAGE_MATCH_TABLE, "val_table" => VALUES_LANGUAGE_TABLE),
		array("key" => "period", "spr_table" => SPR_PERIOD_TABLE, "spr_user_table" => SPR_RENT_PERIOD_USER_TABLE, "spr_match_table" => "", "val_table" => VALUES_PERIOD_TABLE),
		array("key" => "realty_type", "spr_table" => SPR_TYPE_TABLE, "spr_user_table" => SPR_RENT_TYPE_USER_TABLE, "spr_match_table" => "", "val_table" => VALUES_TYPE_TABLE),
		array("key" => "description", "spr_table" => SPR_DESCRIPTION_TABLE, "spr_user_table" => SPR_RENT_DESCRIPTION_USER_TABLE, "spr_match_table" => "", "val_table" => VALUES_DESCRIPTION_TABLE),

		array("key" => "info_room", "key1" => "info","spr_table" => SPR_APARTMENT_TABLE, "spr_user_table" => SPR_ROOM_APARTMENT_USER_TABLE, "spr_match_table" => "", "val_table" => VALUES_APARTMENT_TABLE),
		array("key" => "gender_room", "key1" => "gender","spr_table" => SPR_GENDER_TABLE, "spr_user_table" => SPR_RENT_GENDER_USER_TABLE, "spr_match_table" => SPR_ROOM_GENDER_MATCH_TABLE, "val_table" => VALUES_GENDER_TABLE),
		array("key" => "people_room","key1" => "people", "spr_table" => SPR_PEOPLE_TABLE, "spr_user_table" => SPR_RENT_PEOPLE_USER_TABLE, "spr_match_table" => SPR_ROOM_PEOPLE_MATCH_TABLE, "val_table" => VALUES_PEOPLE_TABLE),
		array("key" => "language_room","key1" => "language", "spr_table" => SPR_LANGUAGE_TABLE, "spr_user_table" => SPR_RENT_LANGUAGE_USER_TABLE, "spr_match_table" => SPR_ROOM_LANGUAGE_MATCH_TABLE, "val_table" => VALUES_LANGUAGE_TABLE),
		array("key" => "period_room","key1" => "period", "spr_table" => SPR_PERIOD_TABLE, "spr_user_table" => SPR_ROOM_PERIOD_USER_TABLE, "spr_match_table" => "", "val_table" => VALUES_PERIOD_TABLE),
		array("key" => "realty_type_room","key1" => "realty_type", "spr_table" => SPR_TYPE_TABLE, "spr_user_table" => SPR_ROOM_TYPE_USER_TABLE, "spr_match_table" => "", "val_table" => VALUES_TYPE_TABLE),
		array("key" => "description_room","key1" => "description", "spr_table" => SPR_DESCRIPTION_TABLE, "spr_user_table" => SPR_ROOM_DESCRIPTION_USER_TABLE, "spr_match_table" => "", "val_table" => VALUES_DESCRIPTION_TABLE),
		array("key" => "interests_room","key1" => "interests", "spr_table" => SPR_INTERESTS_TABLE, "spr_user_table" => SPR_ROOM_INTERESTS_USER_TABLE, "spr_match_table" => SPR_ROOM_INTERESTS_MATCH_TABLE, "val_table" => VALUES_INTERESTS_TABLE),
		array("key" => "personality_room","key1" => "personality", "spr_table" => SPR_PERSONALITY_TABLE, "spr_user_table" => SPR_ROOM_PERSONALITY_USER_TABLE, "spr_match_table" => SPR_ROOM_PERSONALITY_MATCH_TABLE, "val_table" => VALUES_PERSONALITY_TABLE),
		array("key" => "occupation_room","key1" => "occupation", "spr_table" => SPR_OCCUPATION_TABLE, "spr_user_table" => SPR_ROOM_OCCUPATION_USER_TABLE, "spr_match_table" => SPR_ROOM_OCCUPATION_MATCH_TABLE, "val_table" => VALUES_OCCUPATION_TABLE),

	);

$VIDEO_TYPE_ARRAY = array("video/mpeg", "video/avi", "video/x-ms-asf", "video/x-ms-wmv", "video/x-msvideo");
$VIDEO_EXT_ARRAY = array("mpeg", "mpg", "avi", "asf", "wmv");

$fonts["arial"] = "Arial";	
$fonts["tahoma"] = "Tahoma";
$fonts["verdana"] = "Verdana";
$fonts_size = array(8,9,10,11,12,14,16,18,20);

?>