{include file="$admingentemplates/admin_top.tpl"}
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td class="header" align="left">{$lang.menu.modules}<font class="subheader"> | {$lang.menu.banners} | {$lang.content.banner_statistics}</font></td>
		</tr>
		<tr>
			<td><div class="help_text"><span class="help_title">{$lang.headers.help}</span>{$lang.content.banner_statistics_help}</div></td>
		</tr>
	</table>
	<table cellpadding="0" cellspacing="0" width="100%" style="margin: 0px; margin-bottom: 10px;">
		<tr>
			<td>{strip}
				<b>{$lang.content.view_stat_by}:</b>&nbsp;&nbsp;
				{foreach from=$period_arr item=period}
				{assign var="name" value='by_'|cat:$period}
				{if $period==$period_type}
					<b>{$lang.content[$name]}</b>
				{else}
					<a href="{$sort_order_link}&period_type={$period}">{$lang.content[$name]}</a>
				{/if}&nbsp;&nbsp;
				{/foreach}
				{/strip}
			</td>
			<td align="right">
				<form name="rows_per_page" action="{$file_name}">
				{foreach from=$form.hiddens item=hidden}
					<input type="hidden" name="{$hidden.name}" value="{$hidden.value}">
				{/foreach}
				<table cellpadding="0" cellspacing="0">
					<tr>
						<td><b>{$lang.content.rows_per_page}:</b></td>
						<td style="padding-left: 10px;">
							<select name="rows_num_page" onchange="document.forms.rows_per_page.submit();">
							{foreach from=$rows_per_page item=row}
								<option value="{$row}" {if $row==$rows_num_page}selected{/if}>{$row}</option>
							{/foreach}
							</select>
						</td>
					</tr>
				</table>
				</form>
			</td>
		</tr>
	</table>
	<table border=0 class="table_main" cellspacing=1 cellpadding=5 width="100%">
		<tr>
		{if $period_type == "day"}
			<td class="main_header_text" align="center">
				<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}day'">{$lang.content.day}{if $sorter==day}{$order_icon}{/if}</div>
			</td>
		{elseif $period_type == "week"}
			<td class="main_header_text" align="center">
				<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}week'">{$lang.content.week}{if $sorter==week}{$order_icon}{/if}</div>
			</td>
			<td class="main_header_text" align="center">
				<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}month'">{$lang.content.month}{if $sorter==month}{$order_icon}{/if}</div>
			</td>
			<td class="main_header_text" align="center">
				<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}year'">{$lang.content.year}{if $sorter==year}{$order_icon}{/if}</div>
			</td>
		{elseif $period_type == "month"}
			<td class="main_header_text" align="center">
				<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}month'">{$lang.content.month}{if $sorter==month}{$order_icon}{/if}</div>
			</td>
			<td class="main_header_text" align="center">
				<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}year'">{$lang.content.year}{if $sorter==year}{$order_icon}{/if}</div>
			</td>
		{elseif $period_type == "year"}
			<td class="main_header_text" align="center">
				<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}year'">{$lang.content.year}{if $sorter==year}{$order_icon}{/if}</div>
			</td>
		{/if}
			<td class="main_header_text" align="center">
			<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}views'">{$lang.content.views_cnt}{if $sorter==views}{$order_icon}{/if}</div>
			</td>
		{if $type == "image"}
			<td class="main_header_text" align="center">
			<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}hits'">{$lang.content.hits_cnt}{if $sorter==hits}{$order_icon}{/if}</div>
			</td>
			<td class="main_header_text" align="center">
			<div style="cursor: pointer;" onclick="javascript:location.href='{$sort_order_link}ctr'">{$lang.content.ctr}{if $sorter==ctr}{$order_icon}{/if}</div>
			</td>
		{/if}
		</tr>
	{foreach from=$statistics item=stat}
		<tr>
		{if $period_type == "day"}
			<td>{$stat.date_format}</td>
		{elseif $period_type == "week"}
			<td>{$stat.week}</td>
			<td>{$month_name[$stat.month]}</td>
			<td>{$stat.year}</td>
		{elseif $period_type == "month"}
			<td>{$month_name[$stat.month]}</td>
			<td>{$stat.year}</td>
		{elseif $period_type == "year"}
			<td>{$stat.year}</td>
		{/if}
			<td>{$stat.views}</td>
		{if $type == "image"}
			<td>{$stat.hits}</td>
			<td>{$stat.ctr}</td>
		{/if}
		</tr>
	{/foreach}
	</table>
	<table cellpadding="0" cellspacing="0" style="margin: 0px; margin-bottom: 10px;" width="100%">
		<tr>
			<td align="left">
			{if $links}
				{foreach item=item from=$links}
					<a href="{$item.link}" class="page_link" {if $item.selected} style=" font-weight: bold; text-decoration: none;" {/if}>{$item.name}</a>
				{/foreach}
			{else}
				&nbsp;
			{/if}
			</td>
			<td align="right">
			{strip}
				<b>{$lang.content.all_period_stat}:</b> {$lang.content.views_cnt} - <b>{if $total_stat.views}{$total_stat.views}{else}0{/if}</b>
			{if $type == "image"}
				, {$lang.content.hits_cnt} - <b>{if $total_stat.hits}{$total_stat.hits}{else}0{/if}</b>, {$lang.content.ctr} - <b>{if $total_stat.ctr}{$total_stat.ctr}{else}0{/if}</b>
			{/if}.
			{/strip}
			</td>
		</tr>
		<tr>
			<td colspan="2" align="left" style="padding-top: 10px;"><input type="button" value="{$lang.content.back_to_list}" class="button" onclick="javascript:document.location='{$file_name}?mode={$mode}';"></td>
		</tr>
	</table>
{include file="$admingentemplates/admin_bottom.tpl"}