{include file="$admingentemplates/admin_top.tpl"}
{if $action == "properties"}
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td class="header" align="left">{$lang.menu.modules}<font class="subheader"> | {$lang.menu.banners} | {if $mode == 2}{$lang.menu.members_banner}{elseif $is_add_mode}{$lang.content.add_banner}{else}{$lang.content.edit_banner}{/if}</font></td>
		</tr>		
		<tr>
			<td><div class="help_text"><span class="help_title">{$lang.default_select.help}</span>{if $is_add_mode}{$lang.content.add_banner_help}{else}{$lang.content.edit_banner_help}{/if}</div></td>
		</tr>
	</table>
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<form name="banner_properties" action="{$file_name}" method="POST" enctype="multipart/form-data">
	{foreach from=$form.hiddens item=hidden}
		<input type="hidden" name="{$hidden.name}" value="{$hidden.value}">
	{/foreach}
		<input type="hidden" name="file_path" id="file_path" value="{$banner.file_path}">
		{if $errors}
		<tr>
			<td>
				<font class="error">
					{foreach from=$errors item=err}
						{$lang.content[$err]}<br><br>
					{/foreach}
				</font>
			</td>
		</tr>
		{/if}
		<tr>
			<td>
			<table cellpadding="0" cellspacing="0" border="0" class="form_table">
				<tr>
					<td>{$lang.content.name}:</td>
				</tr>
				<tr>
					<td><input type="text" name="name" id="name" value="{$banner.name}" size="80"></td>
				</tr>
				<tr>
					<td>
						<select name="type" id="type" onchange="ReloadPropertiesArea(this.value); ReloadSizes(); ReloadStopValues('stop_after_views', '{$banner.stop_after_views}');  ReloadStopValues('stop_after_hits', '{$banner.stop_after_hits}');  ReloadStopValues('stop_after_date', '{$banner.stop_after_date}');">
						   <option value="">{$lang.content.choose_type}</option>
						   <option value="image" {if $banner.type eq "image"}selected{/if}>{$lang.content.type_image}</option>
						   <option value="html" {if $banner.type eq "html"}selected{/if}>{$lang.content.type_html}</option>
						</select>
					</td>
				</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td style="padding: 0px; padding-bottom: 5px; padding-top: 5px;">{$lang.content.choose_place}:</td>
		</tr>
		<tr>
			<td>
				{foreach from=$banner_position item=pos}
				<table cellpadding="0" cellspacing="0" border="0" class="form_table" style="display: inline; margin: 0px; margin-right: 10px;">
					<tr>
						<td><div align="left" style="display: inline; vertical-align: middle; padding: 0px; padding-right: 3px;"><input type="radio" name="banner_position" value="{$pos.id}" id="banner_position{$pos.id}" {if $banner.position == $pos.id}checked{/if} onclick="ReloadSizes();"></div>
						{$lang.content[$pos.name]}</td>
					</tr>
					<tr>
						<td colspan="2"><img src="{$server}{$site_root}{$template_root}/images/ads_{$pos.name}.gif"></td>
					</tr>
				</table>
				{/foreach}
			</td>
		</tr>
		<tr>
			<td style="padding: 0px; padding-top: 10px;">
			<div id="banner_image" style="display: none;">
			<div class="table_title">{$lang.content.image_properties}</div>
			<div class="help_text"><span class="help_title">{$lang.default_select.help}</span>{$lang.content.banners_edit_help}</div>
			<table cellpadding="5" cellspacing="1" border="0" class="main_table">
				<tr>
					<td>{$lang.content.size}:</td>
					<td>
						{foreach from=$position_sizes item=pos key=key}
							<select name="banner_size[{$key}]" id="banner_size_{$key}" style="display: none;" onchange="ReloadImageSize('banner_size_{$key}');">
							{foreach from=$pos item=size}
								<option value="{$size.id}" {if $banner.size_id == $size.id}selected{/if}>{$size.size_x} X {$size.size_y}
							{/foreach}
							</select>
						{/foreach}
					</td>
				</tr>
				{if $banner.file_path}
			    <tr>
			   		<td>{$lang.content.image}:</td>
			     	<td><img src="{$server}{$site_root}/uploades/adcomps/{$banner.file_path}" id="banner_image_file"></td>
			    </tr>
			    {/if}
			     <tr>
			   		<td>{$lang.content.upload_image}:</td>
			     	<td><input name="file" id="file" type="file"></td>
			    </tr>
			    <tr>
			   		<td>{$lang.content.link}:</td>
			    	<td><input type="text" name="url" size="40" value="{$banner.url}"></td>
			   </tr>
			    <tr>
				   	<td>{$lang.content.alttext}:</td>
					<td><input type="text" name="alt_text" size="40" value="{$banner.alt_text}"></td>
				</tr>
				{if $mode !=2}
				<tr>
					<td>{$lang.content.stop_after_views}:</td>
					<td>
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td><input type="checkbox" name="stop_after_views" id="stop_after_views" value="1" onClick="ReloadStopValues('stop_after_views', this.checked)"></td>
								<td><input type="text" name="stop_after_views_num" id="stop_after_views_num" value="{$banner.stop_after_views_num}" disabled="disabled"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>{$lang.content.stop_after_hits}:</td>
					<td>
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td><input type="checkbox" name="stop_after_hits" id="stop_after_hits" value="1" onClick="ReloadStopValues('stop_after_hits', this.checked)"></td>
								<td><input type="text" name="stop_after_hits_num" id="stop_after_hits_num" value="{$banner.stop_after_hits_num}" disabled="disabled"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>{$lang.content.stop_after_date}:</td>
					<td>
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td><input type="checkbox" name="stop_after_date" id="stop_after_date" value="1" onClick="ReloadStopValues('stop_after_date', this.checked)"></td>
								<td>
								<select name="day" id="day" disabled="disabled">
				  				{foreach item=item from=$day}<option value="{$item.value}" {if $item.sel}selected{/if}>{$item.value}</option>{/foreach}
				  				</select>&nbsp;
						  		<select name="month" id="month" disabled="disabled">
								{foreach item=item from=$month}<option value="{$item.value}" {if $item.sel}selected{/if}>{$item.name}</option>{/foreach}
								</select>&nbsp;
						  		<select name="year" id="year" disabled="disabled">
								{foreach item=item from=$year}<option value="{$item.value}" {if $item.sel}selected{/if}>{$item.value}</option>{/foreach}
								</select>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				{/if}
				<tr>
			   		<td>{$lang.content.open_new_window}:</td>
			    	<td><input type="checkbox" name="open_in_new_window" {if $banner.open_in_new_window eq 1} checked="checked" {/if} value="1">
			    </tr>
			    {if $mode != 2}
			    <tr>
			    <td>{$lang.content.banner_status}:</td>
					<td><input type="checkbox" name="status[image]" {if $banner.status eq 1}checked="checked"{/if} value="1"></td>
				</tr>
				{else}
					<input type="hidden" name="banner_status" value="{$banner.status}">
				{/if}
				</table>
			</div>
			</td>
		</tr>
		<tr>
			<td>
			<div id="banner_html" style="display: none;">
			<div class="table_title">{$lang.content.image_properties}</div>
			<div class="help_text"><span class="help_title">{$lang.default_select.help}</span>{$lang.content.html_edit_help}</div>
				<table>
					<tr>
						<td>{$lang.content.html_code}:<br><br><input type="button" value="{$lang.content.preview}" onclick="PreviewCode();"><br></td>
						<td>
						<textarea id="html_code" name="html_code" cols="120" rows="15">{$banner.html_code}</textarea>
						</td>
					</tr>
					{if $mode!=2}
					<tr>
						<td>{$lang.content.banner_status}:</td>
						<td><input type="checkbox" name="status[html]" {if $banner.status eq 1}checked="checked"{/if} value="1"></td>
					</tr>
					{else}
						<input type="hidden" name="banner_status" value="{$banner.status}">
					{/if}
				</table>
			</div>
			</td>
		</tr>
		<tr>
			<td><div id="submit" style="display: none;">
			{if $mode==2}
			<input type="button" value="{$lang.content.back_to_members_banners}" class="button_3" onclick="javascript:document.location='{$file_name}?sel=member';">
			{/if}
			<input type="submit" value="{$lang.buttons.save}" onclick="return CheckFrom();">
			{if $mode==2 && $banner.status}
			<input type="button" value="{$lang.content.view_banners_area}" class="button_3" onclick="javascript:document.location='{$file_name}?sel=edit_areas&id={$id}&position={$banner.position}&mode=3';">
			{/if}
			</div></td>
			
		</tr>
	</form>
	</table>

	{literal}
	<script language="javascript">

	ReloadPropertiesArea('{/literal}{$banner.type}{literal}');
	ReloadSizes();
	{/literal}
	{if $mode!=2}
	{literal}
	ReloadStopValues('stop_after_views', '{/literal}{$banner.stop_after_views}{literal}');
	ReloadStopValues('stop_after_hits', '{/literal}{$banner.stop_after_hits}{literal}');
	ReloadStopValues('stop_after_date', '{/literal}{$banner.stop_after_date}{literal}');
	{/literal}
	{/if}
	{literal}
	
	function ReloadSizes() {
		var pos_array = new Array({/literal}{foreach from=$position_sizes item=pos key=key name=place}"{$key}"{if !$smarty.foreach.place.last},{/if}{/foreach}{literal});

		var pos_size = pos_array.length;

		for (i=0; i<pos_size; i++) {
			var name = "banner_size_" + i;
			if (document.getElementById("banner_image").style.display == "inline") {
				if (document.getElementById("banner_position"+pos_array[i]).checked) {
					document.getElementById(name).style.display = "inline";
					ReloadImageSize(name);
				} else {
					document.getElementById(name).style.display = "none";
				}
			} else {
				document.getElementById(name).style.display = "none";
			}
		}
	}

	function ReloadPropertiesArea(banner_type) {
		var banner_types = new Array("image", "html");
		var banner_type_size = banner_types.length;

		var show_submit = 0;
		for (i=0; i<banner_type_size; i++) {
			var name = "banner_" + banner_types[i];
			if (banner_types[i] == banner_type) {
				document.getElementById(name).style.display = "inline";
				show_submit = 1;
			} else {
				document.getElementById(name).style.display = "none";
			}
		}
		document.getElementById("submit").style.display = "none";
		if (show_submit) {
			document.getElementById("submit").style.display = "inline";
		}
	}

	function ReloadStopValues(stop_after_name, stop_after) {
		var val_name = stop_after_name + "_num";

		if (stop_after == 1) {
			document.getElementById(stop_after_name).checked = true;
			if (stop_after_name == "stop_after_date") {
				document.getElementById("day").disabled = false;
				document.getElementById("month").disabled = false;
				document.getElementById("year").disabled = false;
			} else {
				document.getElementById(val_name).disabled = false;
			}
		} else {
			document.getElementById(stop_after_name).checked = false;
			if (stop_after_name == "stop_after_date") {
				document.getElementById("day").disabled = true;
				document.getElementById("month").disabled = true;
				document.getElementById("year").disabled = true;
			} else {
				document.getElementById(val_name).disabled = true;
			}
		}
	}

	function CheckFrom() {
		var error_cnt = 0;

		if (document.getElementById("name").value == "") {
			alert("{/literal}{$lang.content.enter_name}{literal}");
			document.getElementById("name").focus();
			error_cnt++;
		}

		var banner_type = document.getElementById("type").value;

		if (banner_type == "image") {
			error_cnt = CheckImageForm(error_cnt);
		} else if (banner_type == "html") {
			if (document.getElementById("html_code").value == "") {
				alert("{/literal}{$lang.content.enter_html_code}{literal}");
				error_cnt++;
			}
		}

		if (error_cnt > 0) {
			return false;
		} else {
			return true;
		}
	}

	function CheckImageForm(error_cnt) {
		if (document.getElementById("file_path").value == "" && document.getElementById("file").value == "") {
			alert("{/literal}{$lang.content.enter_image}{literal}");
			error_cnt++;
		}
		if (document.getElementById("stop_after_views").checked) {
			var views_num = document.getElementById("stop_after_views_num").value;
			var views_num_int = parseInt(views_num);
			if (views_num == "" || isNaN(views_num_int) || parseInt(views_num) <= 0) {
				document.getElementById("stop_after_views_num").focus();
				alert("{/literal}{$lang.content.invalid_stop_after_views}{literal}");
				error_cnt++;
			}
		}
		if (document.getElementById("stop_after_hits").checked) {
			var hits_num = document.getElementById("stop_after_hits_num").value;
			var hits_num_int = parseInt(hits_num);
			if (hits_num == "" || isNaN(hits_num_int) || parseInt(hits_num) <= 0) {
				document.getElementById("stop_after_hits_num").focus();
				alert("{/literal}{$lang.content.invalid_stop_after_hits}{literal}");
				error_cnt++;
			}
		}
		return error_cnt;
	}

	function ReloadImageSize(elem_id) {
		var size_id = document.getElementById(elem_id).value;
		var width = 100;
		var height = 100;
		{/literal}
		{foreach from=$position_sizes item=pos key=key}
			{foreach from=$pos item=size}
			{literal}
			if (size_id == '{/literal}{$size.id}{literal}'){
				width = '{/literal}{$size.size_x}{literal}';
				height = '{/literal}{$size.size_y}{literal}';
			}
			{/literal}
			{/foreach}
		{/foreach}
		{literal}
		if (document.getElementById("banner_image_file")) {
			document.getElementById("banner_image_file").width = width;
			document.getElementById("banner_image_file").height = height;
		}
	}

	function PreviewCode() {
		var newWindow = window.open("", "");
		if (newWindow != null) {
			newWindow.document.write("<html>" + document.getElementById("html_code").value + "</html>");
		}

	}

	</script>
	{/literal}
{elseif $action == "areas"}
	<form name="banner_properties" action="{$file_name}" method="POST" enctype="multipart/form-data">
	{foreach from=$form.hiddens item=hidden}
		<input type="hidden" name="{$hidden.name}" value="{$hidden.value}">		
	{/foreach}
	<input type="hidden" name="mode" value="{$mode}">
	<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td class="header" align="left">{$lang.menu.modules}<font class="subheader"> | {$lang.menu.banners} | {if $mode == '2'}{$lang.menu.members_banner}{else}{$lang.content.edit_banner}{/if}</font></td>
		</tr>
		<tr>
			<td><div class="help_text"><span class="help_title">{$lang.default_select.help}</span>{$lang.content.banners_edit_areas_help}</div></td>
		</tr>
	</table>

	<div class="table_title">{$lang.content.pages_for_unregister}</div>
	<table border=0 class="table_main" cellspacing=1 cellpadding=5 width="100%">
		<tr>
			<td class="main_header_text" align="center">{$lang.content.number}</td>
			<td class="main_header_text" align="center">{$lang.content.page_descr}</td>
			<td class="main_header_text" align="center">{$lang.content.page_active}</td>
		</tr>
		{assign var="cnt" value="1"}
		{foreach from=$areas item=area name=area}
		{if $area.unregister_part}
		<tr>
			<td width="1%" align="center">{$cnt}{assign var="cnt" value="`$cnt+1`"}</td>
			<td>{if $area.enabled eq 1}<a href="{$server}{$site_root}/{$area.file_name}.php?view_from_admin=1&for_unreg_user=1" target="_blank">{$lang.content[$area.file_name]}</a>{else}{$lang.content[$area.file_name]}{/if}</td>
			<td width="10%" align="center"><input type="checkbox" name="area[{$area.id}][unreg]" id="area_unreg_{$area.id}" value="1" {if $area.unregister_part_show eq 1} checked="checked" {/if} {if $area.enabled neq 1 || $mode == 3}disabled="disabled"{/if} onclick="javascript: CheckMyForm();"> </td>
		</tr>
		{/if}
		{/foreach}
		<input type="hidden" id="count_unreg" value="{$smarty.foreach.area.iteration}" />
	</table>
	{if $mode!=3}
	<div align="right">
	<input type="button" class="button_3" name="select_all" value="{$lang.content.select_all}" onclick="SelectAllAreas(1, 'unreg');">
	<input type="button" class="button_3" name="unselect_all" value="{$lang.content.unselect_all}" onclick="SelectAllAreas(0, 'unreg');">
	</div>
	{/if}
	<div class="table_title" style="margin-top: 10px;">{$lang.content.pages_for_register}</div>
	<table border=0 class="table_main" cellspacing=1 cellpadding=5 width="100%">
		<tr>
			<td class="main_header_text" align="center">{$lang.content.number}</td>
			<td class="main_header_text" align="center">{$lang.content.page_descr}</td>
			<td class="main_header_text" align="center">{$lang.content.page_active}</td>
		</tr>
		{assign var="cnt" value="1"}
		{foreach from=$areas item=area name=area}
		{if $area.register_part}
		<tr>
			<td width="1%" align="center">{$cnt}{assign var="cnt" value="`$cnt+1`"}</td>
			<td>{if $area.enabled eq 1}<a href="{$server}{$site_root}/{$area.file_name}.php?view_from_admin=1" target="_blank">{$lang.content[$area.file_name]}</a>{else}{$lang.content[$area.file_name]}{/if}</td>
			<td width="10%" align="center"><input type="checkbox" name="area[{$area.id}][reg]" id="area_reg_{$area.id}" value="1" {if $area.register_part_show eq 1} checked="checked" {/if} {if $area.enabled neq 1 || $mode == 3}disabled="disabled"{/if} onclick="javascript: CheckMyForm();"></td>
		</tr>
		{/if}
		{/foreach}
		<input type="hidden" id="count_reg" value="{$smarty.foreach.area.iteration}" />
	</table>
	{if $mode!=3}
	<div align="right">
	<input type="button" class="button_3" name="select_all" value="{$lang.content.select_all}" onclick="SelectAllAreas(1, 'reg');">
	<input type="button"  class="button_3" name="unselect_all" value="{$lang.content.unselect_all}" onclick="SelectAllAreas(0, 'reg');">
	</div>
	{/if}
	
	<table width="100%" style="padding-top:10px;">
		<tr>
			<td colspan="2">
			{if $mode==2}
			<input type="button" value="{$lang.content.back_to_members_banners}" class="button_3" onclick="javascript:document.location='{$file_name}?sel=member&mode=2';">			
			{/if}
			{if $mode==3}
			<input type="button" value="{$lang.content.back_to_members_banners}" class="button_3" onclick="javascript:document.location='{$file_name}?sel=edit&id={$banner_id}&mode=2';">			
			{/if}
			</td>
			<td align="right">
			{if $mode!=3}
			<input type="submit" class="button_3" {if $mode == 2}id="approve_button"{/if} value="{if $mode == 2}{$lang.buttons.approve}{elseif $mode == 1}{$lang.buttons.save}{/if}" {if $mode==2}disabled{/if}>
			{/if}
			</td>
		</tr>
	</table>	

	</form>

	{literal}
	<script language="JavaScript">
	function SelectAllAreas(check, part) {
		var areas_array = new Array({/literal}{foreach from=$areas item=area key=key name=area}"{$area.id}"{if !$smarty.foreach.area.last},{/if}{/foreach}{literal});

		var areas_size = areas_array.length;

		for (i=0; i<areas_size; i++) {
			var name = "area_" + part + "_" + (i+1);
			if (document.getElementById(name)) {
				if (check && !document.getElementById(name).disabled) {
					document.getElementById(name).checked = true;
				} else {
					document.getElementById(name).checked = false;
				}
			}
		}
		CheckMyForm();
	}
	{/literal}
	{if $mode==2}
	{literal}
		count_reg = document.getElementById('count_reg').value;
		count_unreg = document.getElementById('count_unreg').value;
		CheckMyForm();
		
		function CheckForm(){
			count_reg = document.getElementById('count_reg').value;
			count_unreg = document.getElementById('count_unreg').value;
			for(i=1;i<=count_reg;i++){
				if (document.getElementById('area_reg_'+i)){				
					if (document.getElementById('area_reg_'+i).checked) return true;
				}
			}
			for(i=1;i<=count_unreg;i++){
				if (document.getElementById('area_unreg_'+i)){
					if (document.getElementById('area_unreg_'+i).checked) return true;
				}
			}
			return false;
		}
		
		function CheckMyForm(){
			butt = document.getElementById('approve_button');
			if (CheckForm()) butt.disabled = false;
			else butt.disabled = true;
		} 
	{/literal}
	{/if}
	{literal}

	</script>
	{/literal}

{/if}
{include file="$admingentemplates/admin_bottom.tpl"}